opam-version: "2.0"
maintainer: "contact@tezos.com"
authors: [ "Tezos devteam" ]
homepage: "https://www.tezos.com/"
bug-reports: "https://gitlab.com/tezos/tezos/issues"
dev-repo: "git+https://gitlab.com/tezos/tezos.git"
license: "MIT"
depends: [
  "dune" { >= "2.9" }
  "tezos-protocol-012-PsiThaCa"
  "tezos-protocol-compiler"
]
build: [
  [
    "%{tezos-protocol-compiler:lib}%/replace"
    "%{tezos-protocol-compiler:lib}%/dune_protocol.template.v1"
    "dune"
    "%{tezos-protocol-compiler:lib}%/final_protocol_versions"
    "012_PsiThaCa"
  ]
  ["dune" "build" "-p" name "-j" jobs]
  ["dune" "runtest" "-p" name "-j" jobs] {with-test}
]
synopsis: "Tezos/Protocol: economic-protocol definition parameterized by its environment implementation"
